import clsx from 'clsx';
import Heading from '@theme/Heading';
import styles from './styles.module.css';

const FeatureList = [
  {
    title: 'Save water!',
    Svg: require('@site/static/img/water.svg').default,
    description: (
      <>
                You can save water and have fun!
      </>
    ),
  },
  {
    title: 'Resource education',
    Svg: require('@site/static/img/resources.svg').default,
    description: (
      <>
                Learn about using resources
      </>
    ),
  },
  {
    title: 'Build it yourself',
    Svg: require('@site/static/img/build.svg').default,
    description: (
      <>
                You don't need to buy it, just build it!
      </>
    ),
  },
];

function Feature({Svg, title, description}) {
  return (
    <div className={clsx('col col--4')}>
      <div className="text--center">
        <Svg className={styles.featureSvg} role="img" />
      </div>
      <div className="text--center padding-horiz--md">
        <Heading as="h3">{title}</Heading>
        <p>{description}</p>
      </div>
    </div>
  );
}

export default function HomepageFeatures() {
  return (
    <section className={styles.features}>
      <div className="container">
        <div className="row">
          {FeatureList.map((props, idx) => (
            <Feature key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );
}
